org.apache.pdfbox.pdmodel

## Class PDDocumentNameDestinationDictionary

- java.lang.Object
- - org.apache.pdfbox.pdmodel.PDDocumentNameDestinationDictionary

All Implemented Interfaces:
  COSObjectable

    public class PDDocumentNameDestinationDictionary
    extends Object
    implements COSObjectable

This encapsulates the "dictionary of names and corresponding destinations" for the /Dests entry in the document catalog.

Author:
  Tilman Hausherr

### Constructor Summary

Constructors
Constructor and Description
`PDDocumentNameDestinationDictionary(COSDictionary dict)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`PDDestination` `getDestination(String name)` Returns the destination corresponding to the parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDDocumentNameDestinationDictionary

    public PDDocumentNameDestinationDictionary(COSDictionary dict)

Constructor.

Parameters:
  `dict` - The dictionary of names and corresponding destinations.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos dictionary for this object.

#### getDestination

    public PDDestination getDestination(String name)
                                 throws IOException

Returns the destination corresponding to the parameter.

Parameters:
  `name` - The destination name.
Returns:
  The destination for that name, or null if there isn't any.
Throws:
  `IOException` - if something goes wrong when creating the destination object.